Holger's Java API

## com.antelmann.sql
Enum PropertyEntryMapping.DetailKey

    java.lang.Object
      java.lang.Enum<PropertyEntryMapping.DetailKey>
          com.antelmann.sql.PropertyEntryMapping.DetailKey

All Implemented Interfaces:
  Serializable, Comparable<PropertyEntryMapping.DetailKey>

Enclosing interface:
  PropertyEntryMapping

    public static enum PropertyEntryMapping.DetailKey

extends Enum<PropertyEntryMapping.DetailKey>

provides topics for `MappingInfo.getMappingForTopic(Object)` that correspond to the additional mapping information given in the constructor

Enum Constant Summary
`ID`
`KEY`
`TABLE`
`VALUE`

Method Summary
`static PropertyEntryMapping.DetailKey` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PropertyEntryMapping.DetailKey[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TABLE

    public static final PropertyEntryMapping.DetailKey TABLE

### ID

    public static final PropertyEntryMapping.DetailKey ID

### KEY

    public static final PropertyEntryMapping.DetailKey KEY

### VALUE

    public static final PropertyEntryMapping.DetailKey VALUE

Method Detail

### values

    public static PropertyEntryMapping.DetailKey[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PropertyEntryMapping.DetailKey c : PropertyEntryMapping.DetailKey.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PropertyEntryMapping.DetailKey valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads